// (c) MIT 2003.  All rights reserved.

package rec.simulate.reasoners;

import java.util.*;
import rec.util.*;
import rec.sys.*;
import rec.simulate.widgets.*;

public class SimQuadReasoner extends Reasoner 
{
    public Iterator getStrongerTypes()
    {
	Vector v = new Vector();
	v.addElement( "rec.simulate.widgets.WSimQuadrilateral" );
	return v.iterator();
    }
    
    public Iterator getWeakerTypes()
    {
	Vector v = new Vector();
	v.addElement( "rec.simulate.widgets.WSimPolygon" );
	return v.iterator();
    }

    public boolean match( Surface s, Widget stronger, Widget weaker )
    {
	if ((stronger instanceof WSimQuadrilateral) &&
	    (weaker instanceof WSimPolygon)){
	    return true;
	}
	else{
	    return false;
	}

    }
}
